summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-02-02 00:17:26 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2018-02-03 01:29:05 +0100
commitf25169de9a9af59ecfa9172dbaaee33ca155e316 (patch)
tree69cec22aca3288bb12909c797481c79c4a2a6f06
parentapp-text/aspell: remove 0.60.6.1-r3/r4 (diff)
downloadgentoo-f25169de9a9af59ecfa9172dbaaee33ca155e316.tar.gz
gentoo-f25169de9a9af59ecfa9172dbaaee33ca155e316.tar.bz2
gentoo-f25169de9a9af59ecfa9172dbaaee33ca155e316.zip
media-libs/jpeg: 9c version bump
Bug: https://bugs.gentoo.org/646366 Package-Manager: Portage-2.3.22, Repoman-2.3.6
-rw-r--r--media-libs/jpeg/Manifest1
-rw-r--r--media-libs/jpeg/jpeg-9c.ebuild71
2 files changed, 72 insertions, 0 deletions
diff --git a/media-libs/jpeg/Manifest b/media-libs/jpeg/Manifest
index 610eeac444b..e6af64df6e7 100644
--- a/media-libs/jpeg/Manifest
+++ b/media-libs/jpeg/Manifest
@@ -3,4 +3,5 @@ DIST jpegsrc.v6b.tar.gz 613261 BLAKE2B d08406bebcbec9aa0197ef7854f163dc12d916e7e
DIST jpegsrc.v8d.tar.gz 991456 BLAKE2B 6644af7dd47a3b1cbcbc8f6bc111c882ed1790eaad6bee06e9b95b803bf756beb6ad61abc76c889d53dfcd05139286ec870372d50d2b79bf28b32d0e8d50a2ab SHA512 7a8b4cff5b1caf6a7281c5dce4e1efa1b68360bd64dd2e619b60c9e1d49f22624bc8780b681bfab073e7b1d4b7f41008a464a58f0eeeacb0a40ff996d7eb5753
DIST jpegsrc.v9a.tar.gz 1000034 BLAKE2B 24fffc050d30af27c52ace25f716858e882f88e6353c3a7369a9598a483a786b716b5c0dcab1e3582d2b23fe578b4bcd72ebc4434f6ca62a6593d53327613b6c SHA512 9b21cc115e22c68bea46db462263c5c7a0d10beb192a919ecccbd801a25982b518ce44d8c301dd582ecaba1850e0e0f20e322be82b0e24ae917b9949b4f10d3b
DIST jpegsrc.v9b.tar.gz 1022609 BLAKE2B 334b7d3df800ed2c3e1b5ee2fea40a350c0b4024f5a368efb488b9f782b3d006a691fc53574fa6ad4ff944b69c93478d2d7759635196277774f360511ecff3f9 SHA512 74ea5af3545657d4ac03f8f7933913112cc2d982f0e379d0e5647f1acac21931468e53806297c30ebe180c7bcf84919a0ac20a4195afb03db03060d57904ef6c
+DIST jpegsrc.v9c.tar.gz 1028200 BLAKE2B 621ef910f3fa397da0d19da1e1771b13ae1e524ba541f7f2562de1da27a8a3b26abc63d01218ae56ddbf480ba5d6ea6a778a23693304f7b4364edb1bcd4839e7 SHA512 c95aacb0f1972a2271953ee17b5c6a6c3662d5f4fbc4d1e9aef59dece42a169b0f34d3fa1d385b88580ad11cefd194250094ee72843f4e0028204df6741cb611
DIST libjpeg8_8d-1.debian.tar.gz 13676 BLAKE2B ac6fab3e52f91c9ece95ed809fc972afc92c55754a59358f7dacb056917b1878f6f9be85a20ccb34eb13489a9963a00659fe25c27e8b18b44961c6ba5f3214cd SHA512 7def4f13524f0af3b9adf35a370027a18f43b9a635f56a17d5bb7883370db8b18b8a12737d0f0cb4b0287ccf8fb474eb5f754de6b398ffe7d522c54e5bf68040
diff --git a/media-libs/jpeg/jpeg-9c.ebuild b/media-libs/jpeg/jpeg-9c.ebuild
new file mode 100644
index 00000000000..9c8330c1211
--- /dev/null
+++ b/media-libs/jpeg/jpeg-9c.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit libtool toolchain-funcs multilib-minimal
+
+DESCRIPTION="Library to load, handle and manipulate images in the JPEG format"
+HOMEPAGE="http://jpegclub.org/ http://www.ijg.org/"
+SRC_URI="http://www.ijg.org/files/${PN}src.v${PV}.tar.gz
+ mirror://debian/pool/main/libj/lib${PN}8/lib${PN}8_8d-1.debian.tar.gz"
+
+LICENSE="IJG"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="static-libs"
+
+DEPEND=""
+RDEPEND="!media-libs/libjpeg-turbo:0"
+
+DOCS=( change.log example.c README {coderules,filelist,install,jconfig,libjpeg,structure,usage,wizard}.txt )
+
+PATCHES=( "${FILESDIR}"/${PN}-7-maxmem_sysconf.patch )
+
+src_prepare() {
+ default
+ elibtoolize
+}
+
+multilib_src_configure() {
+ # Fix building against this library on eg. Solaris and DragonFly BSD, see:
+ # http://mail-index.netbsd.org/pkgsrc-bugs/2010/01/18/msg035644.html
+ local ldverscript=
+ [[ ${CHOST} == *-solaris* ]] && ldverscript="--disable-ld-version-script"
+
+ ECONF_SOURCE=${S} \
+ econf \
+ $(use_enable static-libs static) \
+ --enable-maxmem=64 \
+ ${ldverscript}
+}
+
+multilib_src_compile() {
+ emake
+
+ if multilib_is_native_abi; then
+ # Build exifautotran and jpegexiforient
+ cd ../debian/extra
+ emake CC="$(tc-getCC)" CFLAGS="${LDFLAGS} ${CFLAGS}"
+ fi
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install
+}
+
+multilib_src_install_all() {
+ find "${D}" -name '*.la' -delete || die
+
+ einstalldocs
+
+ # Install exifautotran and jpegexiforient
+ newdoc ../debian/changelog changelog.debian
+ cd ../debian/extra
+ emake \
+ DESTDIR="${D}" prefix="${EPREFIX}"/usr \
+ INSTALL="install -m755" INSTALLDIR="install -d -m755" \
+ install
+ # Remove +x bits from man pages.
+ find "${ED}"/usr/share/man/ -type f -perm /1 -exec chmod a-x {} + || die
+}